GHSA-rp4x-wxqv-cf9m

Suggest an improvement
Source
https://github.com/advisories/GHSA-rp4x-wxqv-cf9m
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2021/04/GHSA-rp4x-wxqv-cf9m/GHSA-rp4x-wxqv-cf9m.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-rp4x-wxqv-cf9m
Aliases
Published
2021-04-19T14:52:29Z
Modified
2023-11-08T04:01:32.550903Z
Severity
  • 6.1 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS Calculator
Summary
Reflected cross-site scripting in default RouteNotFoundError view in Vaadin 10 and 11-13
Details

Missing output sanitization in default RouteNotFoundError view in com.vaadin:flow-server versions 1.0.0 through 1.0.10 (Vaadin 10.0.0 through 10.0.13), and 1.1.0 through 1.4.2 (Vaadin 11.0.0 through 13.0.5) allows attacker to execute malicious JavaScript via crafted URL.

  • https://vaadin.com/security/cve-2019-25027
References

Affected packages

Maven / com.vaadin:flow-server

Package

Name
com.vaadin:flow-server
View open source insights on deps.dev
Purl
pkg:maven/com.vaadin/flow-server

Affected ranges

Type
ECOSYSTEM
Events
Introduced
1.0.0
Fixed
1.0.11

Affected versions

1.*

1.0.0
1.0.1
1.0.2
1.0.3
1.0.4
1.0.5
1.0.6
1.0.7
1.0.8
1.0.9
1.0.10

Maven / com.vaadin:flow-server

Package

Name
com.vaadin:flow-server
View open source insights on deps.dev
Purl
pkg:maven/com.vaadin/flow-server

Affected ranges

Type
ECOSYSTEM
Events
Introduced
1.1.0
Fixed
1.4.3

Affected versions

1.*

1.1.0
1.2.0
1.2.1
1.2.2
1.2.3
1.2.4
1.2.5
1.3.0
1.4.0
1.4.1
1.4.2